Results 1 to 8 of 8

Thread: [SOLVED] Upgrade from 5.0.11 to 5.0.12: UPGRADE FAILED - exiting

  1. #1
    Join Date
    Jul 2006
    Location
    BELGIUM
    Posts
    54
    Rep Power
    9

    Default [SOLVED] Upgrade from 5.0.11 to 5.0.12: UPGRADE FAILED - exiting

    hi,

    my upgrade seems to fail because of "too many connections". anyone had the same issue ?

    greetings, Lars.




    **********************************************

    [zimbra@zimbra ~]$ df -k
    Filesystem 1K-blocks Used Available Use% Mounted on
    /dev/mapper/VolGroup00-LogVol00
    49445168 3537252 43396252 8% /
    /dev/sda1 101086 39166 56701 41% /boot
    none 517292 0 517292 0% /dev/shm
    /dev/mapper/VolGroup00-LV02
    56766780 48003448 5879748 90% /opt/zimbra
    /dev/mapper/data-lvdata
    103208224 45480968 52484584 47% /opt/data
    //storage-01/zimbra 230580224 100122624 130457600 44% /mnt/zpoint
    [zimbra@zimbra ~]$ logout

    [root@zimbra zcs-5.0.12]# ./install.sh

    Operations logged to /tmp/install.log.4798
    Checking for existing installation...
    zimbra-ldap...FOUND zimbra-ldap-5.0.11_GA_2696
    zimbra-logger...FOUND zimbra-logger-5.0.11_GA_2696
    zimbra-mta...FOUND zimbra-mta-5.0.11_GA_2696
    zimbra-snmp...FOUND zimbra-snmp-5.0.11_GA_2696
    zimbra-store...FOUND zimbra-store-5.0.11_GA_2696
    zimbra-apache...FOUND zimbra-apache-5.0.11_GA_2696
    zimbra-spell...FOUND zimbra-spell-5.0.11_GA_2696
    zimbra-proxy...NOT FOUND
    zimbra-archiving...NOT FOUND
    zimbra-convertd...NOT FOUND
    zimbra-cluster...NOT FOUND
    zimbra-core...FOUND zimbra-core-5.0.11_GA_2696
    ZCS upgrade from 5.0.11 to 5.0.12 will be performed.
    Checking for available license file...
    Current Users=110 Licensed Users=150

    Saving existing configuration file to /opt/zimbra/.saveconfig


    PLEASE READ THIS AGREEMENT CAREFULLY BEFORE USING THE SOFTWARE.
    ZIMBRA, INC. ("ZIMBRA") WILL ONLY LICENSE THIS SOFTWARE TO YOU IF YOU
    FIRST ACCEPT THE TERMS OF THIS AGREEMENT. BY DOWNLOADING OR INSTALLING
    THE SOFTWARE, OR USING THE PRODUCT, YOU ARE CONSENTING TO BE BOUND BY
    THIS AGREEMENT. IF YOU DO NOT AGREE TO ALL OF THE TERMS OF THIS
    AGREEMENT, THEN DO NOT DOWNLOAD, INSTALL OR USE THE PRODUCT.

    License Terms for the Zimbra Collaboration Suite:
    http://www.zimbra.com/license/zimbra...al_license.pdf


    Press Return to continue

    Checking for prerequisites...
    FOUND: NPTL
    FOUND: sudo-1.6.7p5-30.1.3
    FOUND: libidn-0.5.6-1
    FOUND: fetchmail-6.2.5-6.0.1
    FOUND: gmp-4.1.4-3
    FOUND: compat-libstdc++-296-2.96-132.7.2
    FOUND: compat-libstdc++-33-3.2.3-47.3
    FOUND: libtool-libs-1.5.6-4
    FOUND: /usr/lib/libstdc++.so.5
    Checking for suggested prerequisites...
    FOUND: perl-5.8.5
    Prerequisite check complete.
    Checking current number of databases...
    Checking for a recent backup

    Do you want to verify message store database integrity? [Y] n

    Checking for installable packages

    Found zimbra-core
    Found zimbra-ldap
    Found zimbra-logger
    Found zimbra-mta
    Found zimbra-snmp
    Found zimbra-store
    Found zimbra-apache
    Found zimbra-spell
    Found zimbra-proxy
    Found zimbra-archiving
    Found zimbra-convertd
    Found zimbra-cluster


    The Zimbra Collaboration Suite appears already to be installed.
    It can be upgraded with no effect on existing accounts,
    or the current installation can be completely removed prior
    to installation for a clean install.

    Do you wish to upgrade? [Y]

    Select the packages to install
    Upgrading zimbra-core
    Upgrading zimbra-ldap
    Upgrading zimbra-logger
    Upgrading zimbra-mta
    Upgrading zimbra-snmp
    Upgrading zimbra-store
    Upgrading zimbra-apache
    Upgrading zimbra-spell

    Install zimbra-proxy [N]

    Install zimbra-archiving [N]

    Install zimbra-convertd [N]
    Checking required space for zimbra-core
    checking space for zimbra-store

    Installing:
    zimbra-core
    zimbra-ldap
    zimbra-logger
    zimbra-mta
    zimbra-snmp
    zimbra-store
    zimbra-apache
    zimbra-spell

    The system will be modified. Continue? [N] y

    Shutting down zimbra mail

    Backing up the ldap database...done.

    Removing existing packages

    zimbra-ldap...done
    zimbra-logger...done
    zimbra-mta...done
    zimbra-snmp...done
    zimbra-store...done
    zimbra-spell...done
    zimbra-apache...done
    zimbra-core...done

    Removing deployed webapp directories
    Installing packages

    zimbra-core......zimbra-core-5.0.12_GA_2790.RHEL4-20090126014130.i386.rpm...done
    zimbra-ldap......zimbra-ldap-5.0.12_GA_2790.RHEL4-20090126014130.i386.rpm...done
    zimbra-logger......zimbra-logger-5.0.12_GA_2790.RHEL4-20090126014130.i386.rpm...done
    zimbra-mta......zimbra-mta-5.0.12_GA_2790.RHEL4-20090126014130.i386.rpm...done
    zimbra-snmp......zimbra-snmp-5.0.12_GA_2790.RHEL4-20090126014130.i386.rpm...done
    zimbra-store......zimbra-store-5.0.12_GA_2790.RHEL4-20090126014130.i386.rpm...done
    zimbra-apache......zimbra-apache-5.0.12_GA_2790.RHEL4-20090126014130.i386.rpm...done
    zimbra-spell......zimbra-spell-5.0.12_GA_2790.RHEL4-20090126014130.i386.rpm...done

    Setting defaults from saved config in /opt/zimbra/.saveconfig/config.save
    HOSTNAME=zimbra.arbinet.arbitrage.be
    LDAPHOST=zimbra.arbinet.arbitrage.be
    LDAPPORT=389
    SNMPTRAPHOST=zimbra.arbinet.arbitrage.be
    SMTPSOURCE=admin@zimbra.arbinet.arbitrage.be
    SMTPDEST=admin@zimbra.arbinet.arbitrage.be
    SNMPNOTIFY=yes
    SMTPNOTIFY=yes
    LDAPROOTPW=xxx
    LDAPZIMBRAPW=xxx
    LDAPPOSTPW=xxx
    LDAPREPPW=xxx
    LDAPAMAVISPW=xxx
    LDAPNGINXPW=xxx
    Restoring existing configuration file from /opt/zimbra/.saveconfig/config.save...done
    Operations logged to /tmp/zmsetup.01292009-100321.log
    Starting ldap...done.
    Setting defaults...done.
    Upgrading from 5.0.11_GA_2696 to 5.0.12_GA_2790
    Stopping zimbra services
    Verifying /opt/zimbra/conf/my.cnf
    Starting mysql
    Starting logger mysql
    ERROR 1040 (08004): Too many connections
    This appears to be 5.0.11_GA
    Redolog Version: 1.23 New Redolog Version: 1.23
    Backup Version: 7.1 New Backup Version: 7.1
    Stopping mysql
    An upgrade of the logger schema is necessary from version 0
    Running /opt/zimbra/libexec/scripts/migrateLogger1-index.pl
    Thu Jan 29 10:04:38 2009: Adding Indices
    ERROR 1040 (08004): Too many connections
    Running /opt/zimbra/libexec/scripts/migrateLogger2-config.pl
    Thu Jan 29 10:04:40 2009: Adding Config
    ERROR 1040 (08004): Too many connections
    ERROR 1040 (08004): Too many connections
    Running /opt/zimbra/libexec/scripts/migrateLogger3-diskindex.pl
    ERROR 1040 (08004): Too many connections
    Thu Jan 29 10:04:43 2009: Schema version mismatch. Expected version 2. Version in the database is 0.

    Script failed with code 1 - exiting
    UPGRADE FAILED - exiting
    [root@zimbra zcs-5.0.12]#

  2. #2
    Join Date
    Nov 2006
    Location
    UK
    Posts
    8,017
    Rep Power
    24

    Default

    Shutdown ZCS and then check for any old processes and kill them off
    Code:
    ps aux | grep zimbra
    . This is due to a issue with zmlogger in 5.0.11 which has been fixed in 5.0.12. Once all processes have been cleared up you should be able to perform a upgrade. Please ensure though you have a valid backup just in case!

  3. #3
    Join Date
    Jul 2006
    Location
    BELGIUM
    Posts
    54
    Rep Power
    9

    Default

    thank you Uxbod for the fast reply. you gave me the solution.

    with kind regards, Lars.

  4. #4
    Join Date
    Dec 2009
    Posts
    1
    Rep Power
    5

    Thumbs down Stopping zimbra services...failed. exiting. UPGRADE FAILED - exiting.

    Quote Originally Posted by lars_BE View Post
    thank you Uxbod for the fast reply. you gave me the solution.

    with kind regards, Lars.
    Hi I am installing zimbra 6.0.4. which shows the following contents:
    debian:/tmp/zcs-6.0.4_GA_2038.DEBIAN5.20091214191015# ./install.sh



    Operations logged to /tmp/install.log.2930

    Checking for existing installation...

    zimbra-ldap...FOUND zimbra-ldap-6.0.4_GA_2038.DEBIAN5

    zimbra-logger...FOUND zimbra-logger-6.0.4_GA_2038.DEBIAN5

    zimbra-mta...FOUND zimbra-mta-6.0.4_GA_2038.DEBIAN5

    zimbra-snmp...FOUND zimbra-snmp-6.0.4_GA_2038.DEBIAN5

    zimbra-store...FOUND zimbra-store-6.0.4_GA_2038.DEBIAN5

    zimbra-apache...FOUND zimbra-apache-6.0.4_GA_2038.DEBIAN5

    zimbra-spell...FOUND zimbra-spell-6.0.4_GA_2038.DEBIAN5

    zimbra-convertd...NOT FOUND

    zimbra-memcached...FOUND zimbra-memcached-6.0.4_GA_2038.DEBIAN5

    zimbra-proxy...NOT FOUND

    zimbra-archiving...NOT FOUND

    zimbra-cluster...NOT FOUND

    zimbra-core...FOUND zimbra-core-6.0.4_GA_2038.DEBIAN5

    ZCS upgrade from 6.0.4 to 6.0.4 will be performed.



    Saving existing configuration file to /opt/zimbra/.saveconfig





    PLEASE READ THIS AGREEMENT CAREFULLY BEFORE USING THE SOFTWARE.

    ZIMBRA, INC. ("ZIMBRA") WILL ONLY LICENSE THIS SOFTWARE TO YOU IF YOU

    FIRST ACCEPT THE TERMS OF THIS AGREEMENT. BY DOWNLOADING OR INSTALLING

    THE SOFTWARE, OR USING THE PRODUCT, YOU ARE CONSENTING TO BE BOUND BY

    THIS AGREEMENT. IF YOU DO NOT AGREE TO ALL OF THE TERMS OF THIS

    AGREEMENT, THEN DO NOT DOWNLOAD, INSTALL OR USE THE PRODUCT.



    License Terms for the Zimbra Collaboration Suite:

    Zimbra - Zimbra Public End-User License Agreement, Version 2.1





    Press Return to continue



    Checking for prerequisites...

    FOUND: NPTL

    FOUND: sudo-1.6.9p17-2

    FOUND: libidn11-1.8+20080606-1

    FOUND: libpcre3-7.6-2.1

    FOUND: libgmp3c2-2:4.2.2+dfsg-3

    FOUND: libexpat1-2.0.1-4+lenny2

    FOUND: libstdc++6-4.3.2-1.1

    FOUND: libstdc++5-1:3.3.6-18

    Checking for suggested prerequisites...

    FOUND: perl-5.10.0

    FOUND: sysstat

    Prerequisite check complete.

    Checking current number of databases...



    Do you want to verify message store database integrity? [Y] n



    Checking for installable packages



    Found zimbra-core

    Found zimbra-ldap

    Found zimbra-logger

    Found zimbra-mta

    Found zimbra-snmp

    Found zimbra-store

    Found zimbra-apache

    Found zimbra-spell

    Found zimbra-memcached

    Found zimbra-proxy





    The Zimbra Collaboration Suite appears already to be installed.

    It can be upgraded with no effect on existing accounts,

    or the current installation can be completely removed prior

    to installation for a clean install.



    Do you wish to upgrade? [Y] y



    Select the packages to install

    Upgrading zimbra-core

    Upgrading zimbra-ldap

    Upgrading zimbra-logger

    Upgrading zimbra-mta

    Upgrading zimbra-snmp

    Upgrading zimbra-store

    Upgrading zimbra-apache

    Upgrading zimbra-spell

    Upgrading zimbra-memcached



    Install zimbra-proxy [N] n

    Checking required space for zimbra-core

    checking space for zimbra-store



    Installing:

    zimbra-core

    zimbra-ldap

    zimbra-logger

    zimbra-mta

    zimbra-snmp

    zimbra-store

    zimbra-apache

    zimbra-spell

    zimbra-memcached



    The system will be modified. Continue? [N] y



    Shutting down zimbra mail



    Backing up the ldap database...done.



    Removing existing packages



    zimbra-ldap...done

    zimbra-logger...done

    zimbra-mta...done

    zimbra-snmp...done

    zimbra-store...done

    zimbra-spell...done

    zimbra-memcached...done

    zimbra-apache...done

    zimbra-core...done



    Removing deployed webapp directories

    Installing packages



    zimbra-core......zimbra-core_6.0.4_GA_2038.DEBIAN5_i386.deb...done

    zimbra-ldap......zimbra-ldap_6.0.4_GA_2038.DEBIAN5_i386.deb...done

    zimbra-logger......zimbra-logger_6.0.4_GA_2038.DEBIAN5_i386.deb...done

    zimbra-mta......zimbra-mta_6.0.4_GA_2038.DEBIAN5_i386.deb...done

    zimbra-snmp......zimbra-snmp_6.0.4_GA_2038.DEBIAN5_i386.deb...done

    zimbra-store......zimbra-store_6.0.4_GA_2038.DEBIAN5_i386.deb...done

    zimbra-apache......zimbra-apache_6.0.4_GA_2038.DEBIAN5_i386.deb...done

    zimbra-spell......zimbra-spell_6.0.4_GA_2038.DEBIAN5_i386.deb...done

    zimbra-memcached......zimbra-memcached_6.0.4_GA_2038.DEBIAN5_i386.deb...done



    Setting defaults from saved config in /opt/zimbra/.saveconfig/config.save

    HOSTNAME=localhost

    LDAPHOST=

    LDAPPORT=

    SNMPTRAPHOST=

    SMTPSOURCE=

    SMTPDEST=

    SNMPNOTIFY=0

    SMTPNOTIFY=0

    LDAPROOTPW=zimbra

    LDAPZIMBRAPW=zimbra

    LDAPPOSTPW=zmpostfix

    LDAPREPPW=zmreplica

    LDAPAMAVISPW=zmamavis

    LDAPNGINXPW=zmnginx

    Restoring existing configuration file from /opt/zimbra/.saveconfig/localconfig.xml...done

    Operations logged to /tmp/zmsetup.12262009-072011.log

    Upgrading from to 6.0.4_GA_2038

    Stopping zimbra services...failed. exiting.

    UPGRADE FAILED - exiting.


    ------------------
    after installation of the packages it generates this error:

    Upgrading from to 6.0.4_GA_2038

    Stopping zimbra services...failed. exiting.

    UPGRADE FAILED - exiting.
    ................
    and no zimbra services rises:

    zimbra@debian:/$ zmcontrol start
    Host localhost
    Unable to determine enabled services from ldap.
    Unable to determine enabled services. Cache is out of date or doesn't exist.
    .............

    Please help me!!! thanks

  5. #5
    Join Date
    Aug 2007
    Location
    Brazil
    Posts
    10
    Rep Power
    8

    Default

    I have the same errors when upgrading from 5.0.9 to 6.0.5

    root@colab:~# cat /tmp/zmsetup.02152010-235438.log
    Mon Feb 15 23:54:38 2010 Operations logged to /tmp/zmsetup.02152010-235438.log
    Mon Feb 15 23:54:38 2010 *** Running as zimbra user: /opt/zimbra/libexec/zmldapschema 2>/dev/null
    Looking for LDAP installation...succeeded
    Installing core schema...
    Installing cosine schema...
    Installing inetOrgPerson schema...
    Installing zimbra schema...
    Installing amavis schema...
    Mon Feb 15 23:54:39 2010 Upgrading from 5.0.9_GA_2533 to 6.0.5_GA_2213
    Mon Feb 15 23:54:39 2010 Stopping zimbra services...
    Mon Feb 15 23:54:39 2010 *** Running as zimbra user: /opt/zimbra/bin/zmcontrol stop
    Host colab.sinc.us
    Stopping stats...
    Session terminated, killing shell... ...killed.
    Mon Feb 15 23:54:43 2010 failed. exiting.
    Mon Feb 15 23:54:43 2010 UPGRADE FAILED - exiting.
    Can't even downgrade, because it assumes that current version is 6.0.5

    zimbra@colab:~$ zmcontrol -v


    Release 6.0.5_GA_2213.UBUNTU6 UBUNTU6 NETWORK edition.
    Any hints?

  6. #6
    Join Date
    Dec 2007
    Location
    Ypsilanti, MI
    Posts
    145
    Rep Power
    7

    Default

    Did you kill any zmlogger processes that were still hanging around?

  7. #7
    Join Date
    Dec 2007
    Location
    Ypsilanti, MI
    Posts
    145
    Rep Power
    7

    Default

    Tried to email you from support, however your email server is rejecting email with relay access denied messages. Check your open case in the support portal for details and to respond to us and we can see how we can help you get this working.

  8. #8
    Join Date
    Aug 2007
    Location
    Brazil
    Posts
    10
    Rep Power
    8

    Default

    zimbra@colab:~$ zmloggerctl stop
    Stopping logswatch...logswatch is not running.
    zimbra@colab:~$ zmlogswatchctl stop
    Stopping logswatch...logswatch is not running.
    zimbra@colab:~$
    But that's a bit strange:

    zimbra@colab:~$ zmcontrol stop
    Host colab.sinc.us
    Stopping stats...Terminated
    zimbra@colab:~$

Similar Threads

  1. [SOLVED] 5.0.11 -> 5.0.12 Upgrade failed (SSLeay.so)
    By bards1888 in forum Installation
    Replies: 30
    Last Post: 04-26-2010, 07:56 AM
  2. [SOLVED] 5.0.11 to 5.0.12 Upgrade Fails (Stop failed)
    By Mccreations in forum Installation
    Replies: 11
    Last Post: 03-31-2009, 07:05 AM
  3. Problem with Mail Server - Need help!
    By joeleo in forum Installation
    Replies: 2
    Last Post: 03-04-2008, 11:03 AM
  4. My Zimbra server down ... please help :)
    By frankb in forum Administrators
    Replies: 2
    Last Post: 12-12-2007, 10:29 AM
  5. Upgrade: 4.5.5 -> 4.5.6 failed, LDAP/slapd issues
    By Daimyo in forum Installation
    Replies: 7
    Last Post: 08-04-2007, 09:23 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •